Which android ndk and sdk version is suitable for unity 2019.2.0f1

Currenty we are using unity 2019.2.0f1, can you suggest the respective android version? Wheather the version which is i’m using suitable for apk generation?

When you try to build APK using the latest version of NDK, it fails and tells you that it requires the NDK version.